replicaCount: 1

image:
  repository: apache/nifi
  tag: latest
  pullPolicy: IfNotPresent

service:
  type: ClusterIP
  port: 8080
  targetPort: 8080

ingress:
  enabled: true
  className: traefik
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
    traefik.ingress.kubernetes.io/router.entrypoints: web
  hosts:
    - host: nifi.dvirlabs.com
      paths:
        - path: /
          pathType: Prefix
  tls:
    - secretName: nifi-cert
      hosts:
        - nifi.dvirlabs.com

resources:
  limits:
    cpu: 500m
    memory: 512Mi
  requests:
    cpu: 250m
    memory: 256Mi

nodeSelector:
  workload: general

tolerations: []

affinity: {}
